package Time::MomentX::BOKUTIN;

use strict;
use warnings;
use feature qw(:5.10);
use Exporter qw(import);

our @EXPORT = qw(tmx);

sub tmx {
    state $class = do {
        require Role::Tiny;
        Role::Tiny->create_class_with_roles('Time::Moment', 'Time::Moment::Role::BOKUTIN');
    };
    @_ ? $class->from_fuzzy(@_) : $class;
}

1;

=encoding utf8

=head1 NAME

Time::MomentX::BOKUTIN - fuzzy parse and return extended object.

=head1 EXPORT

=head2 tmx($string)

=cut

1;
